Subject: RE: glitch in draft-ietf-mpls-lsr-mib-12.txt

From: "Thomas D. Nadeau" <[email-masked]>
Date: Mon, 27 Oct 2003 09:35:15 -0500

>-----Original Message-----
>From: [email-masked] [mailto:[email-masked]] On Behalf 
>Of Stefan Winter
>Sent: Wednesday, September 10, 2003 3:57 AM
>To: [email-masked]; [email-masked]
>Subject: glitch in draft-ietf-mpls-lsr-mib-12.txt
>
>
>Hello,
>
>( I know it is VERY short before end of last call, but I just 
>came across this 
>one...)
>
>the mplsXCTable contains a RowStatus column and an AdminStatus column.
>The DESCRIPTION of its RowStatus reads, 
>       "When a row in this table has a row in the active(1)
>        state, no objects in this row except this object
>        and the mplsXCStorageType can be modified."
>Which does not make sense. As far as I know, the core purpose 
>of AdminStatus 
>is to have the possibility to put an XC offline without having 
>to set the 
>entire row to NotInService. But if one cannot modify the 
>AdminStatus once the 
>RowStatus is "up", this is not possible.
>If the description remains the way it is now, AdminStatus is 
>mostly useless. A 
>simple addition like
>       "except this object, the mplsXCStorageType
>        and the mplsXCAdminStatus can be modified."
>would make much more sense.

	Good catch. I will fix this along with any changes
from the RFC editor.

	--Tom

>Greetings,
>Stefan Winter